Debian Bug report logs - #687212
localechooser: should use higher languagelevel with network-console

version graph

Package: oldsys-preseed; Maintainer for oldsys-preseed is Debian Install System Team <debian-boot@lists.debian.org>; Source for oldsys-preseed is src:oldsys-preseed.

Reported by: Eugeniy Meshcheryakov <eugen@debian.org>

Date: Sun, 17 Jun 2012 20:21:01 UTC

Severity: normal

Tags: patch

Fixed in version oldsys-preseed/3.13

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Sun, 17 Jun 2012 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 17 Jun 2012 20:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Sun, 17 Jun 2012 22:16:44 +0200
Package: installation-reports
Version: 2.46
Severity: normal

Boot method: flash
Image version: testing/stable
Date: night 16.06.2012-17.06.2012

Machine: QNAP TS-212
Partitions: <df -Tl will do; the raw partition table is preferred>


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [E]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

I was trying to install Debian on TS-212 using instructions here: http://www.cyrius.com/debian/kirkwood/qnap/ts-219/

First I tried to use installer image from testing, but the device did not boot:
both disk LEDs were constantly on, there was some disk activity, but absolutely no
network activity. I tried several times wating 10-20 minutes each time. I also tried
to remove disks but this did not help. After this I used stable installer image with
testing repository. The installation was sucessfull, with small problems: had to remove
RAID devices manually, partman did not align partition correctly.

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20110106+squeeze4+b1"
X_INSTALLATION_MEDIUM=network-console

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux debian 2.6.32-5-kirkwood #1 Sun May 6 16:57:51 UTC 2012 armv5tel GNU/Linux
usb-list: 
usb-list: Bus 01 Device 01: Marvell Orion EHCI [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 01
usb-list:    Manufacturer: Linux 2.6.32-5-kirkwood ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 02: USB2.0 Hub [05e3:0608]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00 Protocol 01
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
lsmod: Module                  Size  Used by
lsmod: raid1                  19757  3 
lsmod: dm_mod                 56891  0 
lsmod: md_mod                 80506  3 raid1
lsmod: jfs                   157227  0 
lsmod: ext4                  288593  1 
lsmod: jbd2                   64351  1 ext4
lsmod: ext3                  111204  0 
lsmod: jbd                    37738  1 ext3
lsmod: btrfs                 539502  0 
lsmod: crc32c                  2562  1 
lsmod: libcrc32c                896  1 btrfs
lsmod: vfat                    8152  0 
lsmod: fat                    43613  1 vfat
lsmod: ext2                   55323  0 
lsmod: mbcache                 4860  3 ext4,ext3,ext2
lsmod: sd_mod                 31344  8 
lsmod: crc_t10dif              1106  1 sd_mod
lsmod: sata_mv                24398  6 
lsmod: ehci_hcd               36525  0 
lsmod: evdev                   6582  0 
lsmod: libata                137914  1 sata_mv
lsmod: usbcore               123103  2 ehci_hcd
lsmod: scsi_mod              124484  2 sd_mod,libata
lsmod: gpio_keys               3066  0 
lsmod: mv643xx_eth            22558  0 
lsmod: nls_base                5367  4 jfs,vfat,fat,usbcore
lsmod: libphy                 14836  1 mv643xx_eth
lsmod: inet_lro                5060  1 mv643xx_eth
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                   127836        60    127776   0% /dev
df: /dev/md0               1031052    504120    474556  52% /target
df: /dev/md0               1031052    504120    474556  52% /dev/.static/dev
df: tmpfs                   127836        60    127776   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:       255676       182904        72772            0        17392
free:  Swap:       524212         1124       523088
free: Total:       779888       184028       595860
/proc/cmdline: console=ttyS0,115200 root=/dev/ram initrd=0xa00000,0x900000 ramdisk=34816
/proc/cpuinfo: Processor	: Feroceon 88FR131 rev 1 (v5l)
/proc/cpuinfo: BogoMIPS	: 1199.30
/proc/cpuinfo: Features	: swp half thumb fastmult edsp 
/proc/cpuinfo: CPU implementer	: 0x56
/proc/cpuinfo: CPU architecture: 5TE
/proc/cpuinfo: CPU variant	: 0x2
/proc/cpuinfo: CPU part	: 0x131
/proc/cpuinfo: CPU revision	: 1
/proc/cpuinfo: 
/proc/cpuinfo: Hardware	: QNAP TS-119/TS-219
/proc/cpuinfo: Revision	: 0000
/proc/cpuinfo: Serial		: 0000000000000000
/proc/iomem: 00000000-0fffffff : System RAM
/proc/iomem:   00027000-00395fff : Kernel text
/proc/iomem:   003ac000-0043ddd3 : Kernel data
/proc/iomem: f1010300-f101030f : rtc-mv
/proc/iomem: f1010600-f10107ff : orion_spi.0
/proc/iomem:   f1010600-f10107ff : orion_spi.0
/proc/iomem: f1011000-f101101f : mv64xxx_i2c.0
/proc/iomem:   f1011000-f101101f : mv64xxx_i2c adapter
/proc/iomem: f1012000-f10120ff : serial8250.0
/proc/iomem:   f1012000-f101201f : serial
/proc/iomem: f1012100-f10121ff : serial8250.1
/proc/iomem:   f1012100-f101211f : serial
/proc/iomem: f1030000-f103ffff : regs
/proc/iomem: f1050000-f1050fff : orion-ehci.0
/proc/iomem:   f1050000-f1050fff : ehci_hcd
/proc/iomem: f1060800-f10608ff : xor 0 low
/proc/iomem: f1060900-f10609ff : xor 1 low
/proc/iomem: f1060a00-f1060aff : xor 0 high
/proc/iomem: f1060b00-f1060bff : xor 1 high
/proc/iomem: f1072000-f1073fff : ge00 base
/proc/iomem: f1080000-f1084fff : sata base
/proc/iomem: f5000000-f50007ff : sram
/proc/interrupts:            CPU0
/proc/interrupts:   1:     327497   orion_irq  orion_tick
/proc/interrupts:   5:          2   orion_irq  mv_xor.0
/proc/interrupts:   6:          2   orion_irq  mv_xor.1
/proc/interrupts:   7:          2   orion_irq  mv_xor.2
/proc/interrupts:   8:          2   orion_irq  mv_xor.3
/proc/interrupts:  11:     176374   orion_irq  eth0
/proc/interrupts:  19:         27   orion_irq  ehci_hcd:usb1
/proc/interrupts:  21:    3482280   orion_irq  sata_mv
/proc/interrupts:  29:      12717   orion_irq  mv64xxx_i2c
/proc/interrupts:  33:        274   orion_irq  serial
/proc/interrupts:  46:         36   orion_irq  mv643xx_eth
/proc/interrupts:  79:          1  orion_gpio_irq  USB Copy
/proc/interrupts:  80:          0  orion_gpio_irq  Reset
/proc/interrupts: Err:          0
/proc/meminfo: MemTotal:         255676 kB
/proc/meminfo: MemFree:           72772 kB
/proc/meminfo: Buffers:           17392 kB
/proc/meminfo: Cached:           126452 kB
/proc/meminfo: SwapCached:          388 kB
/proc/meminfo: Active:            54584 kB
/proc/meminfo: Inactive:          82188 kB
/proc/meminfo: Active(anon):        704 kB
/proc/meminfo: Inactive(anon):    16872 kB
/proc/meminfo: Active(file):      53880 kB
/proc/meminfo: Inactive(file):    65316 kB
/proc/meminfo: Unevictable:       24588 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:        524212 kB
/proc/meminfo: SwapFree:         523088 kB
/proc/meminfo: Dirty:              2620 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         17228 kB
/proc/meminfo: Mapped:             3040 kB
/proc/meminfo: Shmem:                60 kB
/proc/meminfo: Slab:              11236 kB
/proc/meminfo: SReclaimable:       8700 kB
/proc/meminfo: SUnreclaim:         2536 kB
/proc/meminfo: KernelStack:         560 kB
/proc/meminfo: PageTables:          380 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:      652048 kB
/proc/meminfo: Committed_AS:      24396 kB
/proc/meminfo: VmallocTotal:     753664 kB
/proc/meminfo: VmallocUsed:        2164 kB
/proc/meminfo: VmallocChunk:     747716 kB
/proc/bus/input/devices: I: Bus=0019 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="gpio-keys"
/proc/bus/input/devices: P: Phys=gpio-keys/input0
/proc/bus/input/devices: S: Sysfs=/devices/platform/gpio-keys/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd event0 
/proc/bus/input/devices: B: EV=3
/proc/bus/input/devices: B: KEY=1000000 0 0 0 0 0 0 0 20 0 0 0 0
/proc/bus/input/devices: 

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-2-kirkwood
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

installation-report depends on no packages.

Versions of packages installation-report recommends:
ii  pciutils   1:3.1.9-3
ii  reportbug  6.3.1

installation-report suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Sat, 08 Sep 2012 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 08 Sep 2012 16:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 677931@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Eugeniy Meshcheryakov <eugen@debian.org>, 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Sat, 8 Sep 2012 17:16:34 +0100
* Eugeniy Meshcheryakov <eugen@debian.org> [2012-06-17 22:16]:
> I was trying to install Debian on TS-212 using instructions here: http://www.cyrius.com/debian/kirkwood/qnap/ts-219/
> 
> First I tried to use installer image from testing, but the device did not boot:
> both disk LEDs were constantly on, there was some disk activity, but absolutely no
> network activity. I tried several times wating 10-20 minutes each time. I also tried
> to remove disks but this did not help. After this I used stable installer image with
> testing repository. The installation was sucessfull, with small problems: had to remove
> RAID devices manually, partman did not align partition correctly.

The testing installer boots fine on my TS-219.  Can you try again on
your TS-212?

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Sat, 08 Sep 2012 20:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 08 Sep 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 677931@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Sat, 8 Sep 2012 22:36:38 +0200
[Message part 1 (text/plain, inline)]
Hi,

8 вересня 2012 о 17:16 +0100 Martin Michlmayr написав(-ла):
> The testing installer boots fine on my TS-219.  Can you try again on
> your TS-212?

I tried to use testing d-i again, and it went better. First I set up a
DHCP server and TFTP server on my laptop and disconnected the modem that
also has built-in DHCP server from the network. With this configuration
QNAP obtained an IP address, downloaded d-i image, rebooted into d-i,
obtained the IP address again, and did nothing for several minutes, till
I rebooted it. After reboot - the same problem, I can ping QNAP, but it
does not start the ssh server.

So I stopped the laptop's DHCP server and connected my modem to network.
After I rebooted QNAP ssh worked fine, and it took around a minute to
boot. Can it be that D-I requires full network configuration, with
gateway, DNS, and so on via DHCP? That the only difference I can think
about.

After I connected to QNAP via ssh and downloaded installer components, I
was presented with a list of languages to choose from. The list was
quite small (screenshot: http://people.debian.org/~eugen/di-languages.png ).
For example, Ukrainian was not in the list. There were no non-latin languages
in the list. Some languages using Latin scripts were missing too. Why?

I tested the installer only till I was able to mount the hard drive and
reflash the kernel from the working system. There were no other
problems.

Regards,
Eugeniy Meshcheryakov
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Mon, 10 Sep 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 10 Sep 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 677931@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Mon, 10 Sep 2012 14:08:48 +0100
* Eugeniy Meshcheryakov <eugen@debian.org> [2012-09-08 22:36]:
> So I stopped the laptop's DHCP server and connected my modem to network.
> After I rebooted QNAP ssh worked fine, and it took around a minute to
> boot. Can it be that D-I requires full network configuration, with
> gateway, DNS, and so on via DHCP?

Yes, it requires a complete installation.  This is because a) we have
to bring SSH up and b) network configuration is currently in one step,
so we cannot configure a basic config and later ask for more details,
such as DNS.

How common is it for DHCP servers not to send gateway and DNS
information?

> After I connected to QNAP via ssh and downloaded installer components, I
> was presented with a list of languages to choose from. The list was
> quite small (screenshot: http://people.debian.org/~eugen/di-languages.png ).
> For example, Ukrainian was not in the list. There were no non-latin languages
> in the list. Some languages using Latin scripts were missing too. Why?

I cannot remember the reason for this; maybe someone else can comment.

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Mon, 10 Sep 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 10 Sep 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 677931@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Mon, 10 Sep 2012 21:07:32 +0200
[Message part 1 (text/plain, inline)]
10 вересня 2012 о 14:08 +0100 Martin Michlmayr написав(-ла):
> Yes, it requires a complete installation.  This is because a) we have
> to bring SSH up and b) network configuration is currently in one step,
> so we cannot configure a basic config and later ask for more details,
> such as DNS.
> 
> How common is it for DHCP servers not to send gateway and DNS
> information?
I don't know about that, but in my case I had a DHCP server that could
not be configured to supply next-server option (modem). So I had to
disconnect that and configure isc-dhcp-server. Minimal required
configuration does not supply DNS info. Confusingly it was enough to
flash the image, and d-i also obtained address after reboot. And there
were no indication of any problem.

But using rescue mode in not official way of installation, so if it is
possible to use d-i first time without problems that's not so bad.

Regards,
Eugeniy Meshcheryakov
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Mon, 10 Sep 2012 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 10 Sep 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #30 received at 677931@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Mon, 10 Sep 2012 20:17:02 +0100
* Eugeniy Meshcheryakov <eugen@debian.org> [2012-09-10 21:07]:
> I don't know about that, but in my case I had a DHCP server that could
> not be configured to supply next-server option (modem). So I had to
> disconnect that and configure isc-dhcp-server. Minimal required
> configuration does not supply DNS info. Confusingly it was enough to
> flash the image, and d-i also obtained address after reboot. And there
> were no indication of any problem.

The problem is that we don't really have any mechanism at this point
to show that there is a problem.  The QNAP doesn't have an LCD after
all.

If you have any ideas on how this could be improved, let me know.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Mon, 10 Sep 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 10 Sep 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 677931@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Mon, 10 Sep 2012 23:42:45 +0200
[Message part 1 (text/plain, inline)]
clone 677931 -1
reassing -1 localechooser
found -1 2.44
retitle -1 localechooser: should use higher languagelevel with network-console
tag -1 + patch
thanks

Hi,

Currently localechooser detects network-console as a terminal without
framebuffer and uses languagelevel 1 for such installs. It should use
higher level, because most modern ssh clients support unicode, and
in any case d-i is running in UTF-8 locale (not latin1).

The attached patch changes languagelevel for network-console installs to
the same value as used for framebuffer based installs.

Regards,
Eugeniy Meshcheryakov

10 вересня 2012 о 14:08 +0100 Martin Michlmayr написав(-ла):
> > After I connected to QNAP via ssh and downloaded installer components, I
> > was presented with a list of languages to choose from. The list was
> > quite small (screenshot: http://people.debian.org/~eugen/di-languages.png ).
> > For example, Ukrainian was not in the list. There were no non-latin languages
> > in the list. Some languages using Latin scripts were missing too. Why?
> 
> I cannot remember the reason for this; maybe someone else can comment.
[0001-Use-language-level-3-with-network-console-installs.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#677931; Package installation-reports. (Mon, 10 Sep 2012 21:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 10 Sep 2012 21:51:05 GMT) Full text and rfc822 format available.

Message #40 received at 677931@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 677931@bugs.debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Mon, 10 Sep 2012 23:48:02 +0200
[Message part 1 (text/plain, inline)]
10 вересня 2012 о 20:17 +0100 Martin Michlmayr написав(-ла):
> * Eugeniy Meshcheryakov <eugen@debian.org> [2012-09-10 21:07]:
> > I don't know about that, but in my case I had a DHCP server that could
> > not be configured to supply next-server option (modem). So I had to
> > disconnect that and configure isc-dhcp-server. Minimal required
> > configuration does not supply DNS info. Confusingly it was enough to
> > flash the image, and d-i also obtained address after reboot. And there
> > were no indication of any problem.
> 
> The problem is that we don't really have any mechanism at this point
> to show that there is a problem.  The QNAP doesn't have an LCD after
> all.
> 
> If you have any ideas on how this could be improved, let me know.
The fix was as "easy" as adding this preseed file and rebuilding the
recovery image:

    d-i netcfg/no_default_route boolean true

After this QNAP booted successfully and I was able to login and fix the
network configuration from command line. D-I does not seem to require
DNS setup. Is there any reason not to use this setting for all
network-console installs? I didn't found yet how to change this setting
not using pressed file.

Regards,
Eugeniy Meshcheryakov
[signature.asc (application/pgp-signature, inline)]

Bug 677931 cloned as bug 687212 Request was from Eugeniy Meshcheryakov <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:51:07 GMT) Full text and rfc822 format available.

Marked as found in versions 2.44. Request was from Eugeniy Meshcheryakov <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'localechooser: should use higher languagelevel with network-console' from 'installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works' Request was from Eugeniy Meshcheryakov <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:51:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Eugeniy Meshcheryakov <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:51:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'localechooser'. Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:57:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2.44 and 2.46. Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:57:10 GMT) Full text and rfc822 format available.

Marked as found in versions 2.44/. Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 21:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687212; Package localechooser. (Tue, 11 Sep 2012 05:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Sep 2012 05:18:04 GMT) Full text and rfc822 format available.

Message #59 received at 687212@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 687212@bugs.debian.org
Cc: Євгеній Мещеряков <eugen@debian.org>, debian-boot@lists.debian.org
Subject: Re: Processed: reassign 687212 to localechooser, found 687212 in 2.44
Date: Tue, 11 Sep 2012 07:15:24 +0200
[Message part 1 (text/plain, inline)]
Quoting Debian Bug Tracking System (owner@bugs.debian.org):
> Processing commands for control@bugs.debian.org:
> 
> > reassign 687212 localechooser
> Bug #687212 [installation-reports] localechooser: should use higher languagelevel with network-console
> Bug reassigned from package 'installation-reports' to 'localechooser'.
> No longer marked as found in versions 2.44 and 2.46.
> Ignoring request to alter fixed versions of bug #687212 to the same values previously set
> > found 687212 2.44
> Bug #687212 [localechooser] localechooser: should use higher languagelevel with network-console
> Marked as found in versions 2.44/.

The list of languages was very short because of this code:

# Determine the display level
language_display_level() {
	local level

	#log "Frontend in use: $DEBIAN_FRONTEND"
	case $DEBIAN_FRONTEND in
	    gtk)
		level=4 ;;
	    *)
		# Keep only Latin1 languages if we don't have a framebuffer
		if [ "$TERM_FRAMEBUFFER" ]; then
			level=3
		else
			level=1
		fi
		# The hurd text-mode console has decent charset support
		if [ "$TERM" = "hurd" ]; then
			level=3
		fi
		# ASCII only if we are on serial console, dumb, or Mach terminal
		# Both variables should already be set at init time
		if [ "$TERM_TYPE" = "serial" ] || [ "$TERM" = "dumb" ] || [ "$TERM" = "mach-color" ] ; then
			level=0
		fi
		;;
	esac

	#log "Language display level is $level"
	echo $level
}



If, in the situation you describe, there is a way to "recognize" that
the terminal can display non Latin languages, then we can adapt that
code.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687212; Package localechooser. (Tue, 11 Sep 2012 08:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugeniy.meshcheryakov@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Sep 2012 08:33:08 GMT) Full text and rfc822 format available.

Message #64 received at 687212@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugeniy.meshcheryakov@googlemail.com>
To: Christian PERRIER <bubulle@debian.org>, 687212@bugs.debian.org
Cc: Євгеній Мещеряков <eugen@debian.org>, debian-boot@lists.debian.org
Subject: Re: Processed: reassign 687212 to localechooser, found 687212 in 2.44
Date: Tue, 11 Sep 2012 10:30:57 +0200
Hi,

I attached patch to one of the previous messages for detecting network-console installs.

Regards,
Eugeniy Meshcheryakov

--- Оригінальне повідомлення ---
> Quoting Debian Bug Tracking System (owner@bugs.debian.org):
> > Processing commands for control@bugs.debian.org:
> > 
> > > reassign 687212 localechooser
> > Bug #687212 [installation-reports] localechooser: should use higher
> > languagelevel with network-console Bug reassigned from package
> > 'installation-reports' to 'localechooser'. No longer marked as found
> > in versions 2.44 and 2.46. Ignoring request to alter fixed versions of
> > bug #687212 to the same values previously set
> > > found 687212 2.44
> > Bug #687212 [localechooser] localechooser: should use higher
> > languagelevel with network-console Marked as found in versions 2.44/.
> 
> The list of languages was very short because of this code:
> 
> # Determine the display level
> language_display_level() {
>     local level
> 
>     #log "Frontend in use: $DEBIAN_FRONTEND"
>     case $DEBIAN_FRONTEND in
>            gtk)
>         level=4 ;;
>            *)
>         # Keep only Latin1 languages if we don't have a framebuffer
>         if [ "$TERM_FRAMEBUFFER" ]; then
>             level=3
>         else
>             level=1
>         fi
>         # The hurd text-mode console has decent charset support
>         if [ "$TERM" = "hurd" ]; then
>             level=3
>         fi
>         # ASCII only if we are on serial console, dumb, or Mach terminal
>         # Both variables should already be set at init time
>         if [ "$TERM_TYPE" = "serial" ] || [ "$TERM" = "dumb" ] || [ "$TERM" =
> "mach-color" ] ; then            level=0
>         fi
>         ;;
>     esac
> 
>     #log "Language display level is $level"
>     echo $level
> }
> 
> 
> 
> If, in the situation you describe, there is a way to "recognize" that
> the terminal can display non Latin languages, then we can adapt that
> code.
> 
> 




No longer marked as found in versions 2.44/. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:36 GMT) Full text and rfc822 format available.

Marked as found in versions localechooser/2.44. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687212; Package localechooser. (Fri, 21 Sep 2012 19:55:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 21 Sep 2012 19:55:30 GMT) Full text and rfc822 format available.

Message #73 received at 687212@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 687212@bugs.debian.org
Subject: Wrong versions fixed in bug 687212
Date: Fri, 21 Sep 2012 12:51:00 -0700
This bug (687212) had an incorrect found or fixed version which was
caused by 686106. I have removed the incorrect found or fixed version,
and added it back as a correct version. [This was the source of the
internal messages which you have received previously.]

If you have any questions, please contact owner@bugs.debian.org

Don Armstrong




Bug reassigned from package 'localechooser' to 'oldsys-preseed'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 25 Sep 2012 08:18:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions localechooser/2.44. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 25 Sep 2012 08:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687212; Package oldsys-preseed. (Tue, 25 Sep 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 25 Sep 2012 08:54:03 GMT) Full text and rfc822 format available.

Message #82 received at 687212@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 687212@bugs.debian.org, lool@debian.org
Subject: Re: Bug#677931: installation-report: testing image does not boot on QNAP TS-212 (armel) / stable works
Date: Tue, 25 Sep 2012 09:43:58 +0100
* Eugeniy Meshcheryakov <eugen@debian.org> [2012-09-10 23:48]:
> > If you have any ideas on how this could be improved, let me know.
> The fix was as "easy" as adding this preseed file and rebuilding the
> recovery image:
> 
>     d-i netcfg/no_default_route boolean true
> 
> After this QNAP booted successfully and I was able to login and fix the
> network configuration from command line. D-I does not seem to require
> DNS setup. Is there any reason not to use this setting for all
> network-console installs?

I think this addition makes sense.  I was going to commit the patch
below, but it seems the git repo is in a bit of mess at the moment.
I'll sort this out with Loic Minier and get this patch added.

diff --git a/oldsys-preseed b/oldsys-preseed
index fa988d0..f92c48b 100755
--- a/oldsys-preseed
+++ b/oldsys-preseed
@@ -317,6 +317,10 @@ if [ "$NONINTERACTIVE" = "yes" ]; then
 	# Continue if there is missing firmware at ethdetect, and hope that
 	# it is not actually needed to get on the network.
 	add "$FILE" "ethdetect/prompt_missing_firmware" "boolean" "false"
+	# Allow network configuration to finish even if the DHCP server
+	# doesn't send a gateway.  This way, users can at least connect
+	# to the installer and fix their config.
+	add "$FILE" "netcfg/no_default_route" "boolean" "true"
 fi
 
 # Workaround for broken partconf

-- 
Martin Michlmayr
http://www.cyrius.com/



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 05 Nov 2012 21:51:06 GMT) Full text and rfc822 format available.

Notification sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Bug acknowledged by developer. (Mon, 05 Nov 2012 21:51:06 GMT) Full text and rfc822 format available.

Message #87 received at 687212-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 687212-close@bugs.debian.org
Subject: Bug#687212: fixed in oldsys-preseed 3.13
Date: Mon, 05 Nov 2012 21:47:36 +0000
Source: oldsys-preseed
Source-Version: 3.13

We believe that the bug you reported is fixed in the latest version of
oldsys-preseed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated oldsys-preseed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Nov 2012 22:32:44 +0100
Source: oldsys-preseed
Binary: oldsys-preseed
Architecture: source amd64
Version: 3.13
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 oldsys-preseed - Preseed debian-installer from an existing device (udeb)
Closes: 687212 689531
Changes: 
 oldsys-preseed (3.13) unstable; urgency=low
 .
   [ Martin Michlmayr ]
   * Ignore a missing gateway with DHCP, thanks Eugeniy Meshcheryako.
     Closes: #687212
   * Use netcfg/disable_autoconfig instead of netcfg/disable_dhcp.
     Closes: #689531
 .
   [ Christian Perrier ]
   * Add myself to Uploaders
   * Replace XC-Package-Type by Package-Type in debian/control
Checksums-Sha1: 
 9c3b8108cba145517d83d2af0f680cbec9615442 1640 oldsys-preseed_3.13.dsc
 9f2d4a9710669196b310b43d7d8ffde3ecfb9f6e 308398 oldsys-preseed_3.13.tar.gz
 c62a18d2bfbeca66dfaaaf93035174257c06cfe5 6342 oldsys-preseed_3.13_amd64.udeb
Checksums-Sha256: 
 a42a2e1ca71b532cd18f6aff111beb2c2eaf222927bd07abae832b61e3f17a4e 1640 oldsys-preseed_3.13.dsc
 496631c5950add6fec94f8ee4aeeed5b1ad031dd17afd6dd34b00afafdec91a9 308398 oldsys-preseed_3.13.tar.gz
 241ffab33961ed64a9909dad6c1d69c25769c72ef5ec9683423885ea7abd9644 6342 oldsys-preseed_3.13_amd64.udeb
Files: 
 1e2396d7b9a2f80088c91290108feeee 1640 debian-installer optional oldsys-preseed_3.13.dsc
 edbc2fcca73bf8e4b64dd0657606639b 308398 debian-installer optional oldsys-preseed_3.13.tar.gz
 fc2897a9f01b6fd41d94164a4981bd9d 6342 debian-installer optional oldsys-preseed_3.13_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQmDFfAAoJEDEBgAUJBeQMbboQAMkQby0jrb2CbECr1Wryi3rH
uYji6ZiOUdM7t5PfvHRVkKcUGZwUm6qTwOyqwmP3kZ1o9PFUBFcbreKZ0hT1Rx8P
rWh9gofINtPTyq8nTqcmGvfsteQ/FAmu0I4F3zv8ejk5Pvq2YgzrzoET38MS8/Mr
QHcyZoTwiBVjncR5QG108PAcQIRd6P5in+Jdzm7PL99XwYbzhPJmP3PkbVJLRCo1
sTzMoRQpZu6w/3bhbONP95hr29jzSXj18sJbfoid1UuSOhEst+7ZAP1+oxPKv467
jiCDGRolqA82DeLmx1Qp/KVKzvuJffNqb9YtgQ8ZpEQSq+ObIMjLKF/bFvB6uM9o
PMsJ6udEXj5oFucj3xUQDMG6W+57L5HadOI863g/R9hSBCWkpbooSdncWNlYEz1R
gXgsfiTUJbOFX0UY+iztZFHU4fd3cvfxpic/wSttDOwbWQMtON9O0JUrW/d3jT0w
VQPz3vVVI+gpkgOGfDEDTsHNqCjJCXO/dgtjQuODB0EEzrctdmd/FrhTH1khusZk
O8qxwhzZZAotZITuRj4PggLyGaBMkh059MZbMmUZM19kB/hmt7QZ9imJkbWwefAh
YV7kDPUYxK2ndx6PPqAG5P8UOEGrZ45NIQ0JFabRRDit2c+B+LGK6Wf7noJQKn3q
BRw4kjYHvo4tdqArDvku
=1XHt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:26:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:15:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.